Subject: Request for Chinese displays study aid

From: Kam Mok <[email-masked]>
Date: Tue, 3 Mar 1992 16:07:38 EST

To see Chinese characters displayed on my monitor is a most fascinating
thing to me.  To study its programming is even more interesting.
There have been some public software source codes available, but they
are usually too big or lack of documentation for a beginner.  I would like to
request for some very simple programs just to display Chinese characters and
 maybe with some very simple editing abilities.  Such programs would be
 beneficial
especially to beginners of Chinese computing.  I just think that
one of the goals of this Chinese network is to promote this kind of
Chinese computing, so here is my request.

(1) A program to display the Chinese characters in a matrix (table form) which
    is composed of Chinese consonants (21 each) and 16 vowels plus [er] in
    the first tone only. It is more or less like a spreadsheet of all the
    possible Chinese sounds. The frame is labeled with phonetic symbols which
    should include pinyin and/or bpmf etc.  An option to choose one of them
    would be nice.
    This program is going to involve all the basic Chinese programming.
    Its output chart is also educational to the Chinese language study.

(2) Above program with the ability to show characters with all the 4 tones.
    Users should be able to enter the sounds (phonetic symbols) with the help
    of the above chart and a tone, and then the character(s) are going to
    display. This with interface with the mouse control and being able to pick
    the sounds and tones from the syllable chart would be even better.

(3) A very simple editor with input method using the above syllable
    chart.  I think this program without any modification would be
    very beneficial for students here learning Chinese.

Well I have been carried away too far, I do wish I would see some
of this kind of programming available to the public.  I will collect,
organize and re-post them.

Happy Chinese Computing !

Kam Mok
[email-masked]